MyGUI_Delegate.h File Reference
`#include "MyGUI_Diagnostic.h"`
`#include "MyGUI_Any.h"`
`#include <algorithm>`
`#include <list>`
`#include <memory>`
`#include <functional>`

Go to the source code of this file.

## Data Structures

class | MyGUI::delegates::IDelegateUnlink
class | MyGUI::delegates::DelegateFunction< Args >
struct | MyGUI::GetDelegateFunctionFromLambda< R(C::*)(Args...) const >
class | MyGUI::delegates::Delegate< Args >
class | MyGUI::delegates::MultiDelegate< Args >

## Namespaces

namespace | MyGUI
namespace | MyGUI::delegates

## Functions

template<typename... Args>
delegates::DelegateFunction< Args... > * | MyGUI::newDelegate (void(*_func)(Args... args))
template<typename T, typename... Args>
delegates::DelegateFunction< Args... > * | MyGUI::newDelegate (T *_object, void(T::*_method)(Args... args))
template<typename T, typename... Args>
delegates::DelegateFunction< Args... > * | MyGUI::newDelegate (const T *_object, void(T::*_method)(Args... args) const)
template<typename... Args>
delegates::DelegateFunction< Args... > * | MyGUI::newDelegate (const std::function< void(Args...)> &_function, int64_t delegateId)
template<typename TLambda>
auto | MyGUI::newDelegate (const TLambda &_function, int64_t delegateId)